OpenVDB: ComputePoints< InputTreeType > Struct Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
ComputePoints< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef InputTreeType::LeafNodeType | InputLeafNodeType
typedef InputLeafNodeType::ValueType | InputValueType
typedef InputTreeType::template ValueConverter< Int16 >::Type | Int16TreeType
typedef Int16TreeType::LeafNodeType | Int16LeafNodeType
typedef InputTreeType::template ValueConverter< Index32 >::Type | Index32TreeType
typedef Index32TreeType::LeafNodeType | Index32LeafNodeType

## Public Member Functions
| ComputePoints (Vec3s *pointArray, const InputTreeType &inputTree, const std::vector< Index32LeafNodeType *> &pointIndexLeafNodes, const std::vector< Int16LeafNodeType *> &signFlagsLeafNodes, const boost::scoped_array< Index32 > &leafNodeOffsets, const math::Transform &xform, double iso)
void | setRefData (const InputTreeType &refInputTree, const Index32TreeType &refPointIndexTree, const Int16TreeType &refSignFlagsTree, const uint32_t *quantizedSeamLinePoints, uint8_t *seamLinePointsFlags)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## § Index32LeafNodeType

typedef Index32TreeType::LeafNodeType Index32LeafNodeType

## § Index32TreeType

typedef InputTreeType::template ValueConverter<Index32>::Type Index32TreeType

## § InputLeafNodeType

typedef InputTreeType::LeafNodeType InputLeafNodeType

## § InputValueType

typedef InputLeafNodeType::ValueType InputValueType

## § Int16LeafNodeType

typedef Int16TreeType::LeafNodeType Int16LeafNodeType

## § Int16TreeType

typedef InputTreeType::template ValueConverter<Int16>::Type Int16TreeType

## Constructor & Destructor Documentation

## § ComputePoints()

ComputePoints | ( | Vec3s * | pointArray,
|  | const InputTreeType & | inputTree,
|  | const std::vector< Index32LeafNodeType *> & | pointIndexLeafNodes,
|  | const std::vector< Int16LeafNodeType *> & | signFlagsLeafNodes,
|  | const boost::scoped_array< Index32 > & | leafNodeOffsets,
|  | const math::Transform & | xform,
|  | double | iso
| ) |  |

## Member Function Documentation

## § operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## § setRefData()

void setRefData | ( | const InputTreeType & | refInputTree,
|  | const Index32TreeType & | refPointIndexTree,
|  | const Int16TreeType & | refSignFlagsTree,
|  | const uint32_t * | quantizedSeamLinePoints,
|  | uint8_t * | seamLinePointsFlags
| ) |  |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h